# -*- coding: utf-8 -*-
from odoo.upgrade import util

def migrate(cr, version):
    # Transfer account.analytic.tag information
    # - from sale.order.template,tag_ids to sale.order.template,subscription_tag_ids
    #   are already created by XML data

    # - from sale.order,account_tag_ids to sale.order,subscription_tag_ids
    cr.execute("""
        INSERT INTO openerp_enterprise_subscription_tag_sale_order_rel (sale_order_id, openerp_enterprise_subscription_tag_id)
             SELECT sale_order_id, new_imd.res_id
               FROM account_analytic_tag_sale_order_rel aatsor
               JOIN ir_model_data old_imd ON old_imd.module = 'openerp_enterprise'
                                         AND old_imd.model = 'account.analytic.tag'
                                         AND old_imd.res_id = aatsor.account_analytic_tag_id
               JOIN ir_model_data new_imd ON new_imd.module = 'openerp_enterprise'
                                         AND new_imd.model = 'openerp.enterprise.subscription.tag'
                                         AND 'mig16_' || new_imd.name = old_imd.name
    """)

    # reload pad 'send technical test' email
    util.update_record_from_xml(cr, "openerp_enterprise.hr_applicant_qualified_mail")
    # Fix copy to x year server action, _update_temporal_prices doesn't exist and is not needed anymore
    cr.execute("""
        UPDATE ir_act_server
           SET code = replace(code, 'copied.order_line._update_temporal_prices()\n', '')
         WHERE id in (3343, 3347, 3342, 3345, 3344, 3346)
    """)

    cr.execute("""
        UPDATE ir_ui_view
           SET active = 't'
         WHERE id = 16801
    """)

    # force computation of `internal_index` for some statement.line that
    # sharesthe same account.move (sum of amount per move_id and move do match)
    st_line_ids = (197361, 197294, 197289, 197288, 197365, 197364, 197363, 197337, 197334, 197333)
    util.recompute_fields(cr, "account.bank.statement.line", ["internal_index"], st_line_ids)
